Notas da versão do CA Business Intelligence JasperReports Server com o CA UIM

Os painéis do CABI (CA Business Intelligence) no CA UIM usam o CA Business Intelligence JasperReports Server (servidor do CABI).O servidor do CABI oferece relatórios avançados e integra recursos de análise em memória. Este artigo explica os novos recursos desta release.
uim203
cabi_rn
Os painéis do CABI (CA Business Intelligence) no CA UIM usam o CA Business Intelligence JasperReports Server (servidor do CABI).O servidor do CABI oferece relatórios avançados e integra recursos de análise em memória. Este artigo explica os novos recursos desta release.
  • Para obter uma matriz de versões suportadas do pacote do CABI, consulte CA Business Intelligence com o CA UIM.
  • O UIM 20.3.3 eliminou a dependência do CABI (CA Business Intelligence) para o processamento das telas do OC nativo: página inicial, página de exibição de grupos, página de exibição de dispositivos e página de exibição de tecnologias de monitoramento (probes). Os painéis e relatórios personalizados e prontos para uso ainda são processados por meio do CABI, ou seja, eles dependem do CABI. Contudo, as telas do console do operador nativo não dependem mais do CABI (Jaspersoft) e são processadas por meio de HTML5. Para obter mais informações sobre as telas do OC nativo que usam HTML5, consulte o artigo Configurando e exibindo dados de monitoramento ou a seção Removendo a dependência do CABI (Console do operador nativo) do artigo UIM 20.3.3.
Índice
2
2
Requisitos de ambiente do UIM
Os painéis do CA Business Intelligence requerem os seguintes componentes
Setembro de 2020
Novos recursos
Esta release inclui as seguintes atualizações:
No UIM 20.3.0, o CABI agrupado fornece o
Jasper Server versão 7.5;
, embora o cabi_external seja o mesmo do UIM 20.1.0 (oferece suporte apenas à integração do
Unified CABI 7.1.1
).
As versões fornecidas com o UIM 20.3 são:
  1.  CABI agrupado (nome do probe
    cabi
    )
    1. A versão do
      probe cabi
      é 4.30
    2. Certifique-se de que as seguintes dependências sejam implantadas:
      1. uim_core_dashboards_pack
        versão 2.46
      2. uim_unified_reporter_pack
        versão 1.04
  2.  CABI externo (nome do probe
    cabi_external
    )
    1. A versão do probe
      cabi_external
      é 4.20
    2. Veja a seguir as dependências que precisam ser implantadas:
      1. uim_core_dashboards_pack
        versão 2.45
      2. uim_unified_reporter_pack
        versão 1.03
    O programa de instalação do UIM 20.3.0 contém o
    uim_core_dashboards_pack
    versão 2.46 e o
    uim_unified_reporter_pack
    versão 1.04, que não são suportados para o probe
    cabi_external
    versão 4.20. Siga estas etapas para que o probe
    cabi_external
    funcione:
    1. Remova o
      uim_core_dashboards_pack
      versão 2.46 e o
      uim_unified_reporter_pack
      versão 1.04.
    2. Implante o
      uim_core_dashboards_pack
      versão 2.45 e o
      uim_unified_reporter_pack
      versão 1.03 a partir do Arquivo.
A compatibilidade entre o sistema operacional e o banco de dados em que você pode instalar o CABI depende da matriz de suporte da plataforma do Jasper Server. Consulte os detalhes adicionais a seguir sobre o suporte da plataforma do Jasper Server: 
O  CABI  agrupado oferece suporte à instalação nova e a atualizações. As atualizações são suportadas a partir do CABI versão 3.4 e superior, de acordo com os caminhos de atualização do Jasper Server (o Jasper Server 7.5 suporta atualizações diretas do Jasper Server 6.4.3 em diante).
A instalação do CABI agrupado é suportada em um robô diferente, bem como no sistema do Console do operador. É possível instalar apenas uma instância do CABI em um domínio do UIM.
A HA (High Availability - Alta disponibilidade) do Jasper Server não é suportada com o CABI agrupado. As instâncias do Jasper Server ativadas para alta disponibilidade podem ser apontadas por meio do cabi_external.
Abril de 2019
Novos recursos
As seguintes atualizações estão presentes na release:
  • O probe cabi 4.1.0 foi atualizado para implantar o servidor do CABI versão 7.1.1. O probe também oferece suporte ao Microsoft SQL Server 2016.
  • Adição de relatórios de disponibilidade que permitem ver a disponibilidade de dispositivos e grupos.Para obter mais informações, consulte Relatórios de disponibilidade no espaço da documentação de probes.
Novos pacotes
Os seguintes pacotes novos estão presentes na release:
  • uim_cabi_availability_report_pack versão 1.00 - instale esse pacote para implantar os relatórios de disponibilidade.
  • pacote do probe cabi versão 4.1.0 - instale este pacote para implantar uma instância do servidor do CABI em um robô. Essa configuração simplificará o processo de instalação do servidor do CABI se for necessário usar apenas o servidor do CABI com o CA UIM. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • portlet ump_cabi versão 4.10 - instale este pacote para exibir os painéis do CABI no CA UIM 9.0.2.
  1. O probe cabi 4.10 oferece suporte a TLS v1.2 ao se comunicar com os bancos de dados do UIM: Microsoft SQL Server 2012, 2014 e 2016 e Oracle 11.2 e 12.1. Observe que o UIM 20.1 (e posterior) não oferece suporte ao Oracle 11.2.
  2. O probe cabi 3.40, disponível com o UMP 9.0.2 HF2, oferece suporte a TLS v1.2 ao se comunicar com o banco de dados do UIM: Microsoft SQL Server 2012 e 2014 e Oracle 11.2 e 12.1. Para obter mais informações sobre como aplicar a funcionalidade do UMP 9.0.2 HF2 para CABI TLS, consulte UMP 9.0.2 HF2. Observe que o UIM 20.1 (e posterior) não oferece suporte ao Oracle 11.2.
  3. O probe cabi 3.32 não oferece suporte ao TLS v1.2 ao se comunicar com o banco de dados do UIM: Microsoft SQL Server ou Oracle. Como resultado, não é possível exibir a página inicial do Console do operador, os painéis e os relatórios prontos para uso do CABI.
  4. O suporte ao TLS v1.2 não é ativado por padrão quando você instala o CA UIM 9.0.2.
Fevereiro de 2019
  • O recurso TLS v1.2 do CABI é suportado apenas para o UMP 902 HF2 para bancos de dados SQL Server e Oracle. As versões suportadas do SQL Server estão limitadas apenas à 2012 e à 2014.
Dezembro de 2018
Novos recursos
São as seguintes atualizações estão na release:
  • O probe cabi foi atualizado para implantar o servidor do CABI versão 6.4.3. Agora, o probe cabi oferece suporte a TLS (Transport Layer Security) v1.2 ao se comunicar com o banco de dados do UIM: Oracle ou Microsoft SQL Server. Esse suporte permite que o UIM Server estabeleça uma comunicação segura com o banco de dados do UIM.
  • O probe cabi_external foi atualizado para implantar o servidor do CABI versão 6.4.3. Agora, o probe cabi externo oferece suporte a TLS (Transport Layer Security) v1.2 ao se comunicar com o banco de dados do UIM: Oracle ou Microsoft SQL Server. Esse suporte permite que o UIM Server estabeleça uma comunicação segura com o banco de dados do UIM.
    O CABI não conta com suporte em ambientes do UIM ativados para o TLS v1.2 com o SQL Server 2016 e 2017 como banco de dados. Atualmente, o Jaspersoft não oferece suporte ao TLS v1.2 no SQL Server 2016 e 2017. Portanto, se o TLS v1.2 estiver ativado no seu ambiente do CA UIM e seu banco de dados for o SQL Server 2016 ou 2017, os painéis do CABI não serão suportados. Consequentemente, não será possível exibir relatórios do CABI no CA UIM.
Novos pacotes
Os seguintes novos pacotes estão na release:
  • pacote do probe cabi versão 3.40 - instale este pacote para implantar uma instância do servidor do CABI em um robô. Essa configuração simplificará o processo de instalação do servidor do CABI se for necessário usar apenas o servidor do CABI com o CA UIM. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • pacote do probe cabi_external versão 3.40 - instale este pacote para implantar um probe que funciona como um gateway para uma instância separada do servidor do CABI. Essa configuração permite compartilhar a instância do servidor do CABI com o CA UIM e vários produtos do CA Agile Operations. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • portlet ump_cabi versão 3.40 - instale este pacote para exibir os painéis do CABI no CA UIM 9.0.2.
Outubro de 2018
Novos recursos
São as seguintes atualizações estão na release:
  • Quando a sublocação está ativada para o ambiente do UIM, as configurações de origem do usuário são aplicadas e cada subinquilino tem acesso somente aos dados de relatórios (relatórios de integridade e relatórios personalizados) e painéis (painéis principais). No momento, esse recurso de sublocação não é aplicável aos relatórios de disponibilidade do CABI.
Novos pacotes
Os seguintes novos pacotes estão na release:
  • pacote do probe cabi versão 3.32 - instale este pacote para implantar uma instância do servidor do CABI em um robô. Essa configuração simplificará o processo de instalação do servidor do CABI se for necessário usar apenas o servidor do CABI com o CA UIM. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • pacote do probe cabi_external versão 3.32 - instale este pacote para implantar um probe que funcione como um gateway para uma instância separada do servidor do CABI. Essa configuração permite compartilhar a instância do servidor do CABI com o CA UIM e vários produtos do CA Agile Operations. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • portlet ump_cabi versão 3.32 - instale este pacote para exibir os painéis do CABI no CA UIM 9.0.2.
  • uim_cabi_health_report_pack versão 1.31 - instale este pacote para implantar os relatórios de integridade.
Agosto de 2018
Novos pacotes
Os seguintes novos pacotes estão na release:
  • pacote do probe cabi_external versão 3.30 - instale este pacote para implantar um probe que funciona como um gateway para uma instância separada do servidor do CABI. Essa configuração permite compartilhar a instância do servidor do CABI com o CA UIM e vários produtos do CA Agile Operations. Esta versão do probe é necessária para oferecer suporte a relatórios.
Abril de 2018
Novos recursos
São as seguintes atualizações estão na release:
  • O probe cabi foi atualizado para oferecer suporte à release 9.0.1 do wasp mais recente.
  • O portlet do OC (Operator Console - Console do operador) do CA Business Intelligence foi atualizado para oferecer suporte à versão 3.30.
  • Adicionados novos painéis para monitoramento do VMware.
  • Adicionados novos painéis para monitorar o MCS (Monitoring Configuration Service - Serviço de Configuração de Monitoramento).
Novos pacotes
Os seguintes novos pacotes estão na release:
  • pacote do probe cabi versão 3.30 - instale este pacote para implantar uma instância do servidor do CABI em um robô. Essa configuração simplificará o processo de instalação do servidor do CABI se for necessário usar apenas o servidor do CABI com o CA UIM. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • portlet ump_cabi versão 3.30 - instale este pacote para exibir os Painéis do CABI no CA UIM.
  • uim_vmware_dashboards_pack versão 1.00 - instale esse pacote para implantar os painéis do VMware. Esse pacote requer o CA UIM, uim_core_dashboards_pack.zip versão 2.40 e o probe vmware versão 6.87 ou posterior.
  • uim_mcs_dashboards_pack versão 1.00 - instale este pacote para implantar os painéis do MCS. Esse pacote requer o CA UIM, uim_core_dashboards_pack.zip versão 2.40 e ao menos um perfil do MCS deve existir.
Novembro de 2017
Novos recursos
São as seguintes atualizações estão na release:
  • Alterado o processo de implantação para a configuração agrupada do servidor do CABI e a configuração externa do servidor do CABI.
    As principais alterações são as seguintes:
    • Há agora um probe específico a ser usado para cada configuração. Use o probe
      cabi
      para a configuração agrupada e o probe
      cabi_external
      para a configuração externa.
    • Removido o requisito para o MCS.
  • Os pacotes do probe cabi e cabi_external implantam automaticamente todas as dependências de pacote existentes no arquivo. As dependências incluem o uim_core_dashboards_pack e os pacotes de relatórios.
  • Adicionada uma biblioteca de relatórios que pode ser acessada pelos painéis.
    Há um requisito adicional para os relatórios do UR (Unified Reporter) do CABI (CA Business Intelligence) que utilizam dados do probe vmware. O probe vmware deve ser implantado e configurado usando o MCS. Para obter mais informações, consulte Configuração do tipo de perfil vmware do MCS.
  • Adicionada a capacidade de exibir os relatórios do Unified Reporter nos painéis do CA Business Intelligence.
  • Adição de pacotes de painéis herdados ao arquivo.
  • Adicionados novos painéis para monitoramento do SAP.
  • Adicionados novos painéis para monitoramento do Citrix.
  • Adicionada a capacidade de migrar relatórios personalizados do Unified Reporter para os painéis do CA Business Intelligence.
  • Adicionado o tópico de métrica do UIM para expandir os recursos de geração de relatórios. O tópico de métrica do UIM permite criar exibições ad hoc com dados de várias métricas e dispositivos
  • Adicionada a capacidade de controlar a frequência dos backups para atualizações do probe e do painel. As seguintes chaves foram adicionadas à Configuração de dados brutos dos probes cabi e cabi_external: auto_backup_fequency_in_hours, auto_backup_on_import_enabled, auto_backup_on_import_max_time_in_secs. Para obter mais informações, consulte as tarefas opcionais em Instalar ou atualizar um CA Business Intelligence JasperReports Server agrupado ou Instalar ou atualizar um CA Business Intelligence JasperReports Server externo.
Novos pacotes
Os seguintes novos pacotes estão na release:
  • pacote do probe cabi versão 3.20 - instale este pacote para implantar uma instância do servidor do CABI em um robô. Essa configuração simplificará o processo de instalação do servidor do CABI se for necessário usar apenas o servidor do CABI com o CA UIM. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • pacote do probe cabi_external versão 3.20 - instale este pacote para implantar um probe que funciona como um gateway para uma instância separada do servidor do CABI. Essa configuração permite compartilhar a instância do servidor do CABI com o CA UIM e vários produtos do CA Agile Operations. Esta versão do probe é necessária para oferecer suporte a relatórios.
  • portlet ump_cabi versão 3.20 - instale este pacote para atualizar o portlet do cabi para oferecer suporte à versão 3.20 do probe cabi.
  • uim_core_dashboards_pack versão 2.40 - instale este pacote para atualizar seus painéis para oferecer suporte à versão 3.20 do probe cabi.
  • uim_aws_dashboards_pack.zip versão 2.40 - instale este pacote para atualizar o suporte à localização dos painéis do AWS. Esse pacote requer o uim_core_dashboards_pack.zip versão 2.40 e o probe aws versão 5.25 ou posterior.
  • uim_azure_dashboards_pack.zip versão 2.40 - instale este pacote para atualizar o suporte à localização dos painéis do Azure.Esse pacote requer o uim_core_dashboards_pack.zip versão 2.40 e o probe azure versão 3.02 ou posterior.
  • uim_sap_dashboards_pack versão 1.00 - instale este pacote para implantar os painéis do SAP. Esse pacote requer o uim_core_dashboards_pack.zip versão 2.40 e o probe sap_basis versão 2.01 ou posterior.
  • uim_citrix_dashboards_pack versão 1.00 - instale este pacote para implantar os painéis do Citrix. Esse pacote requer o uim_core_dashboards_pack.zip versão 2.40 e o probe xendesktop versão 4.20 ou posterior.
  • uim_unified_reporter_pack versão 1.02 - instale este pacote para implantar o CABI para os relatórios da biblioteca do CA UIM para aplicativos, bancos de dados, redes e servidores.
    Há um requisito adicional para os relatórios do UR (Unified Reporter) do CABI (CA Business Intelligence) que utilizam dados do probe vmware. O probe vmware deve ser implantado e configurado usando o MCS. Para obter mais informações, consulte Configuração do tipo de perfil vmware do MCS.
  • uim_cabi_health_report_pack versão 1.20 - instale este pacote para implantar os relatórios de integridade.
Defeitos corrigidos
Os seguintes problemas conhecidos foram resolvidos:
  • Painéis da versão 3.0 não exibindo dados de detalhes de métrica - os relatórios de detalhes de métricas agora exibem dados de métricas. (Caso 008382, 00847337)
Julho de 2017
Novos recursos
São as seguintes atualizações estão na release:
  • O probe cabi foi atualizado para oferecer suporte à implantação em um modo de pacote ou no modo externo.
    • Modo de pacote
      O modo de pacote instala e configura uma instância do CA Business Intelligence JasperReports Server (servidor do CABI) em um robô. Esse modo simplificará o processo de instalação do servidor do CABI se você só precisar usar uma instância do JasperReports Server (servidor do CABI) com o CA UIM.
    • Modo externo
      O modo externo permite que uma instância do CA Business Intelligence JasperReports Server (servidor do CABI) já existente se comunique com o CA UIM. É uma instância do servidor do CABI que não é implantada por meio do probe cabi. Esse modo reduz o número de instâncias do servidor do CABI que você deve implantar e manter. É possível compartilhar uma única instância do servidor do CA Business Intelligence (CABI) com vários produtos do CA Agile Operations. Para obter mais informações, consulte Painéis unificados e a geração de relatórios para o Infrastructure Management.
  • Os principais painéis do CA Business Intelligence foram atualizados para oferecer suporte ao lançamento da versão 3.00.
Novos pacotes
Os seguintes pacotes foram adicionados à release:
  • cabi-mcs-template versão 3.00 - Instale este pacote para configurar a versão 3.00 do probe cabi.
  • pacote do probe cabi versão 3.00 - Instale este pacote para atualizar para a versão mais recente do probe cabi. Essa versão do probe implanta o servidor do CABI versão 6.3, quando configurado no modo de pacote.
  • ump_cabi versão 3.00 - Instale este pacote para atualizar o portlet do cabi para oferecer suporte à versão 3.00 do probe cabi.
  • uim_core_dashboards_pack.zip versão 2.20 - Instale este pacote para atualizar seus painéis para oferecer suporte à versão 3.00 do probe cabi.
Problemas conhecidos
Os seguintes problemas conhecidos estão presentes:
Mensagem de erro 403 (proibido) para painéis do CABI
(Relatado na versão 3.00) Para resolver esse problema, verifique as versões do probe cabi e do pacote ump_cabi. Esse erro ocorre quando foram instaladas versões incompatíveis do pacote. Por exemplo, o probe cabi é da versão 3.0 e o ump_cabi é da versão 2.0. Para obter mais informações sobre versões, consulte CA Business Intelligence com o CA UIM. Baixe e implante o pacote do portlet ump_cabi no servidor do Console do operador e reinicie o wasp nesse mesmo servidor.
A instalação do servidor do CABI falha quando o CA UIM é atualizado da versão 8.31 para a versão 8.5.1, e quando o banco de dados do CA UIM é MSSQL.
(Relatado na versão 2.00) Para resolver esse problema, você deve reiniciar o data_engine.
  1. Vá para a interface de configuração do data_engine.
    Data Engine Configure Menu
  2. Localize a configuração da Fonte de dados.
    Data Source Setting
  3. Aplique novamente a configuração. Para ativar o botão Aplicar, faça uma pequena alteração e reverta para a configuração original.
    Reapply Configuration
  4. Reinicie o data_engine.
    Data Engine Restart
  5. Reinstale o servidor do CABI.
A partir da versão 8.5.1 do CA UIM, a versão do Java foi atualizada para o Java 1.8.
(Relatado na versão 2.00) É necessário atualizar todos os certificados autoassinados gerados por versões anteriores do CA UIM. Se você não atualizar os certificados existentes, as conexões HTTPS com o servidor do CABI não funcionarão devido a uma alteração nos níveis de criptografia de segurança no Java 1.8.
AM, PM e os rótulos de intervalo não são exibidos quando você exporta o relatório detalhado Alarmes abertos em um idioma diferente do inglês.
(Relatado na versão 2.00) Não há uma solução alternativa no momento.
Os ícones do portlet CABI falham de forma intermitente ao serem carregados.
(Relatado na versão 1.10) Atualize a página para resolver esse problema.
O processamento de alguns painéis pode ser lento em ambientes de larga escala que coletam grandes quantidades de dados de QoS.
(Relatado na versão 1.10) Não há uma solução alternativa no momento.
As contas de usuário de barramento do CA UIM com caracteres especiais (#?~ $ % ^ & *, (- + ? [{ " | \ /? < >) não são adicionadas automaticamente ao CABI.
(Relatado na versão 1.00) Não há uma solução alternativa no momento.
A instalação do CABI falha ao usar caracteres especiais no Console do operador e nos nomes de conta LDAP
(Versão 1.00 relatada) Quando você usa caracteres especiais (\, |, [ ], `, ", ', ~, !, #, $, %, ^, &, [,], *, +, =, ;, * :, ?, <, >, }, {, ), (, ], [, /, @) no Console do operador ou em nomes de conta LDAP, a sincronização da conta com o CABI falha, o que resulta em uma falha na instalação.
Os usuários de barramento não devem compartilhar uma ACL com usuários do LDAP ou os usuários de barramento herdarão contas LDAP.
(Relatado na versão 1.00) Para evitar esse problema, crie uma ACL para configurar para uso com o LDAP e mantenha as ACLs padrão em vigor. Essa ACL permite que o administrador do CA UIM crie usuários de barramento sem associação a qualquer link de conta LDAP. Para obter mais informações, consulte a seção Conectando listas de controle de acesso a usuários LDAP em Ativar o logon com o LDAP.
Pontos de dados são deslocados ao passar o mouse sobre um dashlet na visualização maximizada.
(Relatado na versão 1.00) Esse é um problema conhecido do Jaspersoft.